import * as ts from 'typescript';
export declare class Collection<T extends ts.Node> {
    private root;
    private collected;
    static fromSource(source: string): Collection<ts.SourceFile>;
    static fromNode<T extends ts.Node>(node: T): Collection<T>;
    private constructor(collected, root);
    find(kind: ts.SyntaxKind.Identifier, pattern?: {
        name: string;
    }): Collection<ts.Identifier>;
    private matchIdentifier(marked, node, pattern);
    replaceWith(fn: (node: T) => ts.Node): Collection<T>;
    size(): number;
    toSource(): string;
}
