"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_tags_1 = require("common-tags");
const ts = require("typescript");
const index_1 = require("./index");
test('run identifiers transform', () => {
    /**
     * Example tscodeshift transformer. Simply reverses the names of all
     * identifiers.
     */
    function identifiersTransform(file, api) {
        const t = api.tscodeshift;
        return t(file.source)
            .find(ts.SyntaxKind.Identifier)
            .replaceWith(node => ts.createIdentifier(node.text.split('').reverse().join('')))
            .toSource();
    }
    const source = common_tags_1.stripIndent `
    export function test(): void {
      var abc;
    }
  `;
    const expected = common_tags_1.stripIndent `
    export function tset(): void {
      var cba;
    }
  `;
    const actual = index_1.applyTransforms('path.ts', source, [identifiersTransform]);
    expect(actual).toBe(expected);
});
